Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"a0ce3e06-cbf5-4c9d-bfca-63873988e783","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["568211c6-116b-4830-a72f-f345121f9b3e"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"5aaa59aa-3838-4da9-997f-6418be62bf8f","url":null,"userId":"0019d24d-c51b-4113-91b4-f5b2ccf8b55a","userUrl":null,"categoryId":"64127536-2362-4654-a469-c8633fa8e990","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-11-19T20:41:27.1575443+00:00","lastModifiedDateTime":"2026-11-20T16:41:27.1575443+00:00","availableFrom":"2026-11-20T20:41:27","startDateTimeZone":null,"availableUntil":"2026-11-21T20:41:27","endDateTimeZone":null,"medias":[{"id":"b3dbc256-49d8-4aae-9043-ef42b26b7425","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"a475cb37-0205-4d9e-9281-f7775b59262a","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"ef460bd9-937b-45cc-928f-0a2e6f736380","url":null},{"type":"Department","name":"Department name example","id":"ae2ff979-f596-446b-934d-e5591cbb9b9b","url":null},{"type":"User group","name":"User group name example","id":"f85e3dfe-bfa6-494d-9da2-359a22b60595","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"93ec0f5c-fe74-467a-8537-bf31bc06ff87"}],"userGroups":[{"url":null,"name":"User group name example","id":"e3deaa94-0b33-408c-ba13-d6eb37bb6c56"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string